OBJECTS
Remove Object Subscriptions
API to remove object subscribers (users or child objects).
DELETE
/
v1
/
object
/
{object_type}
/
{id}
/
subscription
/
Remove Object Subscriptions
curl --request DELETE \
--url https://hub.suprsend.com/v1/object/{object_type}/{id}/subscription/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipients": [
"<string>"
]
}
'import requests
url = "https://hub.suprsend.com/v1/object/{object_type}/{id}/subscription/"
payload = { "recipients": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({recipients: ['<string>']})
};
fetch('https://hub.suprsend.com/v1/object/{object_type}/{id}/subscription/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
null{
"code": 404,
"message": "object 'object_type/id' not found"
}Authorizations
Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.
Path Parameters
Unique identifier of the object in your system
Used to group similar objects together. Give plural namespace like teams, organizations, and roles.
Query Parameters
List of recipients to be notified. Provide recipient IDs as a comma-separated list (e.g., id1,id2,id3).
Body
application/json
List of recipients to be notified. You can either add recipient as array of distinct_ids or array of recipient objects. You can add up to 100 recipients in a single API.
Pass user distinct_ids in array as ["id1","id2"]
Response
204 - No Content
Was this page helpful?
⌘I
Remove Object Subscriptions
